/* liblwevent/src/liblwevent/100_struct_lwevent.c
 *
 *  (c)2007, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv3. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/* struct lwevent
 *  The opaque file descriptor event structure.
 */
struct lwevent {
    /* file descriptor -- set to -1 if invalid */
    int fd;

    /* bitmask of events being listened for (EPOLLIN et al.) */
    int events;

    /* callback function */
    lwevent_callback callback;

    /* user pointer */
    void* user;

    /* destructor */
    lwevent_dtor dtor;

    /* autodestroy mask */
    int autodestroy;

    /* if invalid (fd == -1), this forms a linked list of invalid objects */
    struct lwevent* invalid_next;
};



/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4
*/
