/* liblwevent/src/liblwevent/900_util.h
 *
 *  (c)2007, Laurence Withers, <l@lwithers.me.uk>.
 *  Released under the GNU GPLv3. See file COPYING or
 *  http://www.gnu.org/copyleft/gpl.html for details.
*/



/*! \defgroup util Miscellaneous utilities

This set of functions provide useful utilities for often-performed tasks.

*/
/*!@{*/



/*! \brief Set file descriptor into non-blocking mode.

\param fd File descriptor.
\retval 0 on success.
\retval -1 on error (and see \a errno).

This function is provided to switch the file descriptor \a fd into non-blocking mode using 
\c fcntl(2).

*/
int lwevent_nonblock(int fd) __attribute__((warn_unused_result));



/*!@}*/
/* options for text editors
kate: replace-trailing-space-save true; space-indent true; tab-width 4;
vim: expandtab:ts=4:sw=4:syntax=c.doxygen
*/
